## IdeProjectFile IdeProjectFile |

## Functions

#define | IDE_TYPE_PROJECT_FILE
GFile * | ide_project_file_get_file ()
GFileInfo * | ide_project_file_get_file_info ()
const gchar * | ide_project_file_get_name ()
const gchar * | ide_project_file_get_path ()
gboolean | ide_project_file_get_is_directory ()

## Properties

GFile * | file | Read / Write
GFileInfo * | file-info | Read / Write
gboolean | is-directory | Read
gchar * | name | Read
gchar * | path | Read / Write

## Types and Values

struct | IdeProjectFileClass
| IdeProjectFile

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeProjectItem
                ╰── IdeProjectFile

## Description

## Functions

### IDE_TYPE_PROJECT_FILE

    #define IDE_TYPE_PROJECT_FILE (ide_project_file_get_type())

### ide_project_file_get_file ()

    GFile *
    ide_project_file_get_file (IdeProjectFile *self);

Retrieves the underlying GFile represented by `file` .

#### Returns

Retrieves the GFile represented by `file` .

[transfer none]

### ide_project_file_get_file_info ()

    GFileInfo *
    ide_project_file_get_file_info (IdeProjectFile *self);

Retrieves a GFileInfo containing the basic information about `file` . This includes the name, display name, and file type.

#### Returns

A GFileInfo.

[transfer none]

### ide_project_file_get_name ()

    const gchar *
    ide_project_file_get_name (IdeProjectFile *self);

### ide_project_file_get_path ()

    const gchar *
    ide_project_file_get_path (IdeProjectFile *self);

### ide_project_file_get_is_directory ()

    gboolean
    ide_project_file_get_is_directory (IdeProjectFile *self);

## Types and Values

### struct IdeProjectFileClass

    struct IdeProjectFileClass {
      IdeProjectItemClass parent;
    };

### IdeProjectFile

    typedef struct _IdeProjectFile IdeProjectFile;

## Property Details

### The `“file”` property

      “file”                     GFile *

A GFile to the underlying file.

Flags: Read / Write

### The `“file-info”` property

      “file-info”                GFileInfo *

The file information for the project file.

Flags: Read / Write

### The `“is-directory”` property

      “is-directory”             gboolean

Is Directory.

Flags: Read

Default value: FALSE

### The `“name”` property

      “name”                     gchar *

The short name of the file.

Flags: Read

Default value: NULL

### The `“path”` property

      “path”                     gchar *

The path for the file within the project tree.

Flags: Read / Write

Default value: NULL